export declare class EclAccordion {
    el: HTMLElement;
    styleClass: string;
    noScript: boolean;
    theme: string;
    colorMode: string;
    openItemId: string;
    handleToggle: (itemId: string) => void;
    getClass(): string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    render(): any;
}
